Aadhaar Card

This API helps you fetch the Digilocker-verified documents for your customers. End users need not have a Digilocker account in advance to fetch the documents. If an individual does not have a Digilocker account, we will create an account on the go and fetch the documents. Experience for both types of customers will be exactly the same.

Submit Document

ind_aadhaar

POST https://secctrl.tutelar.io/api/v1/kyc/identity/ind_aadhaar

Post parameters description is given below,

Post Parameter
Type
Is Mandatory
Description

callback_url

String

Yes

Client webhook URL, where client will receive the event response once the process is completed.

redirect_url

String

No

URL where you want the client to get redirected after completion of digilocker journey Default Value: "https://tutelar.io/"

Sample Post Parameters

{
    "callback_url": "https://secctrl.tutelar.io/api/v1/callback",
    "redirect_url":"https://tutelar.io/"
}
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "17283ba4-5744-4d70-ad93-914b57c40e32",
    "status": "in_progress",
    "result": {
        "redirect_url": "https://api.digitallocker.gov.in/public/oauth2/1/authorize?client_id=3DF9D55E&code_challenge=iZPXPoiPRyt9RmWvo5bXc1srbyXsEE77Whko3A54TGQ&code_challenge_method=S256&dl_flow&pla&redirect_uri=https%3A%2F%2Fdigilocker.signzy.tech%2Fdigilocker-auth-complete&response_type=code&state=6626334874538e0024aa9daf",
        "session_exists": false
    },
    "requested_at": "2026-03-11T09:52:08.038Z"
}

Check Document Status

Get document details

GET https://secctrl.tutelar.io/api/v1/kyc/identity/ind_aadhaar

Query parameters description is given below,

Query Parameter
Type
Is Mandatory
Description

reference_id

String

Yes

Document reference id

Last updated